/* ---- Generic CSS Setup ---- */
body, h1, h2, h3, h4, h5, h6, p {
  font-family: "Noto Sans", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  margin: 0;
}

:root {
    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #0d6efd;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --hlb-blue: #002147;
    --hlb-red: #FF0000;
    --hk-gold: #ffe2b0;
    --hk-darkgold: #E4A669;
    --hk-darkred: #aa0614;
    --bs-primary-rgb: 13, 110, 253;
    --bs-secondary-rgb: 108, 117, 125;
    --bs-success-rgb: 25, 135, 84;
    --bs-info-rgb: 13, 202, 240;
    --bs-warning-rgb: 255, 193, 7;
    --bs-danger-rgb: 220, 53, 69;
    --bs-light-rgb: 248, 249, 250;
    --bs-dark-rgb: 33, 37, 41;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg-rgb: 255, 255, 255;
    --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #212529;
    --bs-body-bg: #fff;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #dee2e6;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.375rem;
    --bs-border-radius-sm: 0.25rem;
    --bs-border-radius-lg: 0.5rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-2xl: 2rem;
    --bs-border-radius-pill: 50rem;
    --bs-link-color: #0d6efd;
    --bs-link-hover-color: #0a58ca;
    --bs-code-color: #d63384;
    --bs-highlight-bg: #fff3cd;
    --hlb-bold-font: "noto_sansbold",Arial,sans-serif;
}

.epp *,
.epp *::before,
.epp *::after {
    box-sizing: border-box;
}

.epp h1,
.epp h2,
.epp h6,
.epp b {
    font-family: var(--hlb-bold-font);
    font-weight: 700;
    line-height: 1.2;
}

.epp .display-1 {
    font-size: clamp(1.2rem, 1.425rem + 2.1vw, 3rem);
    line-height: 1.2;
}

.epp .display-2 {
    font-size: clamp(1rem, 1.375rem + 1.5vw, 2.5rem);
    line-height: 1.2;
}

.epp .display-3 {
    font-size: clamp(0.8rem, 1.325rem + 0.9vw, 2rem);
    line-height: 1.2;
}

.epp .display-4 {
    font-size: clamp(0.6rem, 1.275rem + 0.5vw, 1.5rem);
    line-height: 1.2;
}

.epp .display-5 {
    font-size: clamp(0.4rem, 1.225rem + 0.2vw, 1rem);
    line-height: 1.2;
}

.epp img {
    width: 100%;
    object-fit: cover;
}

.epp .row .col {
    width: 100%;
    padding-left: 15px;
    padding-right: 15px;
}

.epp .text-white {
    color: var(--bs-white);
}

.epp .pt-60 {
    padding-top: 60px;
}

.epp .pb-60 {
    padding-bottom: 60px;
}

.epp .pt-80 {
    padding-top: 80px;
}

.epp .pb-80 {
    padding-bottom: 80px;
}

/* ---- Info Sec ---- */
.epp .main-container {
    overflow-x: hidden;
    position: relative;
    width: 100vw !important;
    left: 50%;
    right: 50%;
    margin-left: calc(-50vw - 0px);
    margin-right: calc(-50vw - 0px);
    color: var(--hlb-blue);
}

.epp .info-sec .row .col {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.epp .info-sec .os-col {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.epp .info-sec .os-col .os-box {
    display: flex;
    width: 340px;
    padding: 20px 40px;
    justify-content: center;
    align-items: center;
    gap: 20px;
    border-radius: 15px;
    background: rgba(220, 230, 255, 0.60);
}

.epp .info-sec .os-col .os-box img {
    width: 80px;
    height: 80px;
    flex-shrink: 0;
    aspect-ratio: 1/1;
    object-fit: contain;
}

.epp .info-sec .os-col .os-box p span {
    display: block;
    font-weight: 700;
    font-family: var(--hlb-bold-font);
}

/* ---- What Sec ---- */
.epp .what-sec {
    background: #FFEAEA;
}

.epp .what-sec .row {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.epp .what-sec .row .col.item-col {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 50px 60px;
}

.epp .what-sec .col.item-col .item-box {
    position: relative;
}

.epp .what-sec .col.item-col .item-box::before {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 105%;
    height: 180px;
    background-color: #2C60FF;
    border-radius: 15px;
    z-index: 1;
}

.epp .what-sec .col.item-col .item-box:nth-child(even)::before {
    background-color: #FE5252;
}

.epp .what-sec .col.item-col .item-box .item-wrapper {
    display: flex;
    padding: 50px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 20px;
    border-radius: 25px;
    background: var(--bs-white);
    position: relative;
    z-index: 2;
    height: 100%;
}

.epp .what-sec .col.item-col .item-box img {
    width: auto;
    height: 70px;
    flex-shrink: 0;
}

.epp .what-sec .col.item-col .item-box .item-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    flex: 1 0 0;
}

/* ---- Upgrade Sec ---- */
.epp .upgrade-sec .row {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.epp .upgrade-sec .row .title-col {
    position: relative;
    width: 70%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.epp .upgrade-sec .row .title-col h3.display-4 {
    line-height: 1.3;
}

.epp .upgrade-sec .table-col {
    position: relative;
}

.epp .upgrade-sec .epp-table-title {
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 70%;
    margin: 0 auto;
    margin-bottom: 25px;
    margin-top: 50px;
}

.epp .upgrade-sec .epp-table-title p {
    width: 70%;
    margin: 0 auto;
}

.epp .upgrade-sec .epp-table.epp-table-mobile {
    display: none;
}

.epp .upgrade-sec .epp-table {
    position: relative;
    width: 60%;
    margin: 0 auto;
}

.epp .upgrade-sec .table-col .epp-table-bg {
    background-image: url('/content/dam/hlb/my/images/Personal/Credit_Cards/services-extended-payment-plan/2026/images/device-bg.jpg');
    background-position: center;
    background-size: cover;
    border-radius: 20px;
    overflow: hidden;
    min-height: 300px;
    position: absolute;
    width: 100%;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    z-index: -1;
}

.epp .upgrade-sec .table-col .epp-table-bg img {
    height: 70%;
    width: auto;
    object-fit: contain;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}

.epp .upgrade-sec .epp-link {
    text-align: center;
}

.epp .info-sec a,
.epp .upgrade-sec .epp-link a {
    text-decoration: underline;
    font-weight: 700;
    font-family: var(--hlb-bold-font);
    color: var(--hlb-blue);
}

.epp .upgrade-sec table {
    width: 100%;
    border-collapse: collapse;
    border-radius: 10px;
    overflow: hidden;
    background-color: var(--bs-white);
    filter: drop-shadow(0 4px 15px rgba(163, 189, 212, 0.90));
}

.epp .upgrade-sec thead {
    background-color: #0f1e3d;
    color: #ffffff;;
}

.epp .upgrade-sec th {
    text-align: left;
    padding: 8px 20px;
    font-weight: 700;
    font-family: var(--hlb-bold-font);
    font-size: 13px;
}

.epp .upgrade-sec th:last-child {
    text-align: center;
}

.epp .upgrade-sec td {
    padding: 8px 20px;
    color: #1e293b;
    border-bottom: 1px dashed #cbd5e1;
    font-size: 13px;
}

.epp .upgrade-sec tr:last-child td {
    border-bottom: none;
}

.epp .upgrade-sec .tenure-cell {
    text-align: center;
    vertical-align: middle;
    border-left: 1px dashed #cbd5e1;
    border-bottom: 0;
}

.epp .upgrade-sec .tenure-cell.last {
    border-bottom: 1px dashed #cbd5e1;
}

@media (max-width: 1024px) {

    .epp .what-sec .col.item-col .item-box .item-wrapper{
        padding: 25px;
    }

    .epp .upgrade-sec .row .title-col {
        width: 100%;
    }
}

@media (max-width: 991px) {

    .epp .what-sec .row .col.item-col {
        grid-template-columns: 1fr 1fr;
        width: 98%;
        margin: 0 auto;
    }

    .epp .upgrade-sec .epp-table-title {
        width: 50%;
    }

    .epp .upgrade-sec .epp-table-title p {
        width: 100%;
    }

    .epp .upgrade-sec .epp-table {
        width: 90%;
    }

    .epp .upgrade-sec .table-col .epp-table-bg {
        min-height: 250px;
        width: 95%;
    }

    .epp .what-sec .row .col.item-col {
        gap: 30px 40px;
    }
}

@media (max-width: 600px) {

    .epp .pb-80 {
        padding-bottom: 60px;
    }

    .epp .pt-80 {
        padding-top: 60px;
    }

    .epp .pt-60 {
        padding-top: 40px;
    }

    .epp .pb-60 {
        padding-bottom: 40px;

    }

    .epp .what-sec .row .col.item-col {
        grid-template-columns: 1fr;
        width: 95%;
    }

    .epp .upgrade-sec .epp-table {
        display: none;
    }

    .epp .upgrade-sec .epp-table-title {
        width: 90%;
    }

    .epp .upgrade-sec .table-col {
        width: 95%;
        margin: 0 auto;
    }

    .epp .upgrade-sec .table-col .epp-table-bg img {
        opacity: 0;
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile {
        display: block;
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile table {
        min-width: 100%;
        border: 0;
        background-color: transparent;
        filter: drop-shadow(0 4px 5px rgba(163, 189, 212, 0.30));
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile table thead {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile table tr {
        display: block;
        margin-bottom: 1rem;
        border: 1px solid #ddd;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0,0,0,0.05);
        background-color: var(--bs-white);
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile table td {
        display: block;
        text-align: right;
        border-right: none;
        border-left: none;
        position: relative;
        padding-left: 50%;
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile table td:last-child {
        border-bottom: 0;
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile table td::before {
        content: attr(data-label);
        position: absolute;
        left: 15px;
        width: 45%;
        padding-right: 10px;
        white-space: nowrap;
        text-align: left;
        font-weight: 600;
        color: #333;
    }

    .epp .upgrade-sec .epp-table.epp-table-mobile tr:last-child td {
        border-bottom: 1px dashed #cbd5e1;
    }
}